Update multiple alerts
curl --request PATCH \
--url https://api.artu.ai/alerts/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"externalId": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {}
},
"US": "<unknown>"
}
}
}
],
"atomic": true
}
'import requests
url = "https://api.artu.ai/alerts/batch"
payload = {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"externalId": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {}
},
"US": "<unknown>"
}
}
}
],
"atomic": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
data: {
externalId: '<string>',
name: '<string>',
description: '<string>',
metadata: {},
scopeData: {
MX: {
actividadVulnerable: {
mesReportado: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {}
},
US: '<unknown>'
}
}
}
],
atomic: true
})
};
fetch('https://api.artu.ai/alerts/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'data' => [
'externalId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'metadata' => [
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'mesReportado' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
]
],
'US' => '<unknown>'
]
]
]
],
'atomic' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/batch"
payload := strings.NewReader("{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"data\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n }\n }\n }\n ],\n \"atomic\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/alerts/batch")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"data\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n }\n }\n }\n ],\n \"atomic\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"data\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n }\n }\n }\n ],\n \"atomic\": true\n}"
response = http.request(request)
puts response.read_body{
"atomic": true,
"data": [
{
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"environment": "test",
"status": "new",
"itemCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": "<unknown>"
}
},
"US": "<unknown>"
},
"filedAt": "2023-11-07T05:31:56Z",
"filedReportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}
]
}Alerts
Update multiple alerts
PATCH
/
alerts
/
batch
Update multiple alerts
curl --request PATCH \
--url https://api.artu.ai/alerts/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"externalId": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {}
},
"US": "<unknown>"
}
}
}
],
"atomic": true
}
'import requests
url = "https://api.artu.ai/alerts/batch"
payload = {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"externalId": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {}
},
"US": "<unknown>"
}
}
}
],
"atomic": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
data: {
externalId: '<string>',
name: '<string>',
description: '<string>',
metadata: {},
scopeData: {
MX: {
actividadVulnerable: {
mesReportado: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {}
},
US: '<unknown>'
}
}
}
],
atomic: true
})
};
fetch('https://api.artu.ai/alerts/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alerts/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'data' => [
'externalId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'metadata' => [
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'mesReportado' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
]
],
'US' => '<unknown>'
]
]
]
],
'atomic' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alerts/batch"
payload := strings.NewReader("{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"data\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n }\n }\n }\n ],\n \"atomic\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.artu.ai/alerts/batch")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"data\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n }\n }\n }\n ],\n \"atomic\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alerts/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"data\": {\n \"externalId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"mesReportado\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {}\n },\n \"US\": \"<unknown>\"\n }\n }\n }\n ],\n \"atomic\": true\n}"
response = http.request(request)
puts response.read_body{
"atomic": true,
"data": [
{
"scope": "base",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"environment": "test",
"status": "new",
"itemCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"mesReportado": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": "<unknown>"
}
},
"US": "<unknown>"
},
"filedAt": "2023-11-07T05:31:56Z",
"filedReportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}
]
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Was this page helpful?
